## Retrieve **get** `/payments/{payment_ref}` Gets a payment by ID or external ID. ### Path Parameters - `payment_ref: string` Payment ID or external ID. ### Returns - `data: Payment` Payment object. - `id: string` FRAGMENT generated unique ID. - `amount: string` Amount in smallest currency unit. - `created: string` Timestamp when the payment was created. - `currency: string` Currency code. - `direction: string` Direction of the payment. - `modified: string` Timestamp when the payment was last modified. - `payment_account_id: string` Payment account ID. - `payment_flow_id: string` Payment flow ID. - `status: string` Status of the payment. - `transaction_ids: array of string` Associated transaction IDs. - `external_id: optional string` User-provided unique ID when the payment was created with one. ### Example ```http curl https://api.us-west-2.fragment.dev/billing/payments/$PAYMENT_REF ```